## ros-melodic-hri 0.6.1

=== debian/changelog ===
ros-melodic-hri (0.6.1-1bionic) bionic; urgency=high

  * add callbacks for when speech is detected on a voice
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sun, 15 Jan 2023 23:00:00 -0000

ros-melodic-hri (0.6.0-1bionic) bionic; urgency=high

  * redefine hri::FeatureType enum to be used as bitmask
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Wed, 04 Jan 2023 23:00:00 -0000

ros-melodic-hri (0.5.3-1bionic) bionic; urgency=high

  * bodies: expose the skeleton2d points
  * package.xml: add libhri URL
  * Contributors: Séverin Lemaignan, lorenzoferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 25 Oct 2022 22:00:00 -0000

ros-melodic-hri (0.5.2-1bionic) bionic; urgency=high

  * expose the 3D transform of the voices
  * expose face + gaze transform
  * expose the 3D transform of the bodies
  * minor refactor for safer access to engagement_status
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sun, 09 Oct 2022 22:00:00 -0000

ros-melodic-hri (0.5.1-1bionic) bionic; urgency=high

  * add comparision between 'feature trackers'
  * update to new hri_msgs-0.8.0 names
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 30 Aug 2022 22:00:00 -0000

ros-melodic-hri (0.5.0-1bionic) bionic; urgency=high

  * expose the current TF frame + transform of the person
  * expose engagement status of people
  * expose softbiometrics (age/gender) in faces
  * add support for persons' aliases
    if a /humans/persons/<id>/alias points to another person id, libhri will use
    return the same pointer
  * add callbacks when face/body/... are lost + support for known vs tracked persons
  * add support for 'anonymous' persons
    Anonymous persons are persons that *may* disappear at any point.
    They are typically created because we *know* that a person is there (eg,
    we've detected a face), but that person is not yet permanently
    identified.
    API change: HriListener::getPersons() now returns *weak* pointers that
    need to be locked before being used.
  * ensure the cropped and aligned face do not re-use the same underlying data
  * add simple libhri example to display aligned faces
  * remove spurious logging on cout
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Wed, 25 May 2022 22:00:00 -0000

ros-melodic-hri (0.4.3-1bionic) bionic; urgency=high

  * fix gmock 'Call' syntax for older version of gmock (1.8). This was causing
    issues on ubuntu 18.04 (ROS melodic)
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Wed, 27 Apr 2022 22:00:00 -0000

ros-melodic-hri (0.4.2-1bionic) bionic; urgency=high

  * add callback support for faces, bodies, voices, persons.
    Eg, call onFace(cb) to register callback invoked everytime a face is detected
  * expose the aligned face in the Face class
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 26 Apr 2022 22:00:00 -0000

ros-melodic-hri (0.4.1-1bionic) bionic; urgency=high

  * Fixed wrong feature subscribers indexing
  * Contributors: lorenzoferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sun, 06 Mar 2022 23:00:00 -0000

ros-melodic-hri (0.4.0-1bionic) bionic; urgency=high

  * Facial Landmarks implementation
    Implementation of methods and structures required to access the
    facial landmarks
    Face Landmarks object size correction
  * add tests for the person.face_id attribute
  * actually subscribe to the person's face/body/voice id updates
  * Contributors: Séverin Lemaignan, lorenzoferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sun, 20 Feb 2022 23:00:00 -0000

ros-melodic-hri (0.3.1-1bionic) bionic; urgency=high

  * add/update BSD license
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sun, 06 Feb 2022 23:00:00 -0000

ros-melodic-hri (0.3.0-1bionic) bionic; urgency=high

  * expose enum with the 4 feature types person,face,body,voice
  * add voices and persons + improve const semantics
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sun, 06 Feb 2022 23:00:00 -0000

ros-melodic-hri (0.2.3-1bionic) bionic; urgency=high

  * Body::{getRoI->roi} + RoI not optional + add Body::cropped
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Thu, 20 Jan 2022 23:00:00 -0000

ros-melodic-hri (0.2.2-1bionic) bionic; urgency=high

  * Face::{getRoI->roi} + RoI not optional + add Face::cropped
    In the latest revision of the ROS4HRI spec, the region of interest is
    always expected to be available (as well as the cropped face). As such,
    no point in using a boost::optional there.
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Thu, 20 Jan 2022 23:00:00 -0000

ros-melodic-hri (0.2.1-1bionic) bionic; urgency=high

  * replace hri_msgs::RegionOfInterestStamped by sensor_msgs::RegionOfInterest
    Follows changes in hri_msgs 0.2.0
  * add skeleton of hri::Person class
  * add empty Voice class
  * expose the features' topic namespace + doc
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Thu, 13 Jan 2022 23:00:00 -0000

ros-melodic-hri (0.2.0-1bionic) bionic; urgency=high

  * add basic support for bodies; only the RoIs for now
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 04 Jan 2022 23:00:00 -0000

ros-melodic-hri (0.1.0-1bionic) bionic; urgency=high

  * use boost::optional for faces' features like RoI
  * doc: setup rosdoc. Run rosdoc_lite . to generate
  * test: expand the test suite
  * cmake: explicit SYSTEM headers to avoid ROS shadowing issues

